from pydal import DAL, Field
import datetime


dbcopies = DAL('sqlite://storage.sqlite',
            pool_size=10,
            migrate_enabled=False,
            folder='data/raw/databases'
        )
dbvotes = DAL('sqlite://storage.db',
            pool_size=10,
            migrate_enabled=False,
            folder='data/raw/databases'
        )
dbvotes.define_table('votes',
	Field("id"),
	Field("message"),
	Field("copy_id"),
	Field("vote"))

dbvotes.define_table('messages',
	Field("id"),
	Field("message"))


dbcopies.define_table('copies',
	Field("id"),
	Field("name"),
	Field("copy_message"),
	Field("copy_help"),
	Field("display_name"),
	Field("intentionality"),
	Field("context"),
	Field("more_info"))
